1. Packages
  2. Proxmox Virtual Environment (Proxmox VE)
  3. API Docs
  4. metrics
  5. Server
Viewing docs for Proxmox Virtual Environment (Proxmox VE) v8.0.0
published on Sunday, Apr 5, 2026 by Daniel Muehlbachler-Pietrzykowski
proxmoxve logo
Viewing docs for Proxmox Virtual Environment (Proxmox VE) v8.0.0
published on Sunday, Apr 5, 2026 by Daniel Muehlbachler-Pietrzykowski

    Manages PVE metrics server.

    Create Server Resource

    Resources are created with functions called constructors. To learn more about declaring and configuring resources, see Resources.

    Constructor syntax

    new Server(name: string, args: ServerArgs, opts?: CustomResourceOptions);
    @overload
    def Server(resource_name: str,
               args: ServerArgs,
               opts: Optional[ResourceOptions] = None)
    
    @overload
    def Server(resource_name: str,
               opts: Optional[ResourceOptions] = None,
               port: Optional[int] = None,
               type: Optional[str] = None,
               server: Optional[str] = None,
               opentelemetry_compression: Optional[str] = None,
               opentelemetry_max_body_size: Optional[int] = None,
               influx_db_proto: Optional[str] = None,
               influx_max_body_size: Optional[int] = None,
               influx_organization: Optional[str] = None,
               influx_token: Optional[str] = None,
               influx_verify: Optional[bool] = None,
               mtu: Optional[int] = None,
               name: Optional[str] = None,
               disable: Optional[bool] = None,
               opentelemetry_headers: Optional[str] = None,
               influx_bucket: Optional[str] = None,
               opentelemetry_path: Optional[str] = None,
               opentelemetry_proto: Optional[str] = None,
               opentelemetry_resource_attributes: Optional[str] = None,
               opentelemetry_timeout: Optional[int] = None,
               opentelemetry_verify_ssl: Optional[bool] = None,
               influx_api_path_prefix: Optional[str] = None,
               graphite_proto: Optional[str] = None,
               timeout: Optional[int] = None,
               graphite_path: Optional[str] = None)
    func NewServer(ctx *Context, name string, args ServerArgs, opts ...ResourceOption) (*Server, error)
    public Server(string name, ServerArgs args, CustomResourceOptions? opts = null)
    public Server(String name, ServerArgs args)
    public Server(String name, ServerArgs args, CustomResourceOptions options)
    
    type: proxmoxve:metrics:Server
    properties: # The arguments to resource properties.
    options: # Bag of options to control resource's behavior.
    
    

    Parameters

    name string
    The unique name of the resource.
    args ServerArgs
    The arguments to resource properties.
    opts CustomResourceOptions
    Bag of options to control resource's behavior.
    resource_name str
    The unique name of the resource.
    args ServerArgs
    The arguments to resource properties.
    opts ResourceOptions
    Bag of options to control resource's behavior.
    ctx Context
    Context object for the current deployment.
    name string
    The unique name of the resource.
    args ServerArgs
    The arguments to resource properties.
    opts ResourceOption
    Bag of options to control resource's behavior.
    name string
    The unique name of the resource.
    args ServerArgs
    The arguments to resource properties.
    opts CustomResourceOptions
    Bag of options to control resource's behavior.
    name String
    The unique name of the resource.
    args ServerArgs
    The arguments to resource properties.
    options CustomResourceOptions
    Bag of options to control resource's behavior.

    Server Resource Properties

    To learn more about resource properties and how to use them, see Inputs and Outputs in the Architecture and Concepts docs.

    Inputs

    In Python, inputs that are objects can be passed either as argument classes or as dictionary literals.

    The Server resource accepts the following input properties:

    Port int
    Server network port.
    Type string
    Plugin type. Choice is between graphite | influxdb | opentelemetry.
    serverAddress string
    Server dns name or IP address.
    Disable bool
    Set this to true to disable this metric server.
    GraphitePath string
    Root graphite path (ex: proxmox.mycluster.mykey).
    GraphiteProto string
    Protocol to send graphite data. Choice is between udp | tcp. If not set, PVE default is udp.
    InfluxApiPathPrefix string
    An API path prefix inserted between <host>:<port>/ and /api2/. Can be useful if the InfluxDB service runs behind a reverse proxy.
    InfluxBucket string
    The InfluxDB bucket/db. Only necessary when using the http v2 api.
    InfluxDbProto string
    Protocol for InfluxDB. Choice is between udp | http | https. If not set, PVE default is udp.
    InfluxMaxBodySize int
    InfluxDB max-body-size in bytes. Requests are batched up to this size. If not set, PVE default is 25000000.
    InfluxOrganization string
    The InfluxDB organization. Only necessary when using the http v2 api. Has no meaning when using v2 compatibility api.
    InfluxToken string
    The InfluxDB access token. Only necessary when using the http v2 api. If the v2 compatibility api is used, use user:password instead.
    InfluxVerify bool
    Set to false to disable certificate verification for https endpoints.
    Mtu int
    MTU (maximum transmission unit) for metrics transmission over UDP. If not set, PVE default is 1500 (allowed 512 - 65536).
    Name string
    Unique name that will be ID of this metric server in PVE.
    OpentelemetryCompression string
    OpenTelemetry compression algorithm for requests. Choice is between none | gzip. If not set, PVE default is gzip.
    OpentelemetryHeaders string
    OpenTelemetry custom HTTP headers as JSON, base64 encoded.
    OpentelemetryMaxBodySize int
    OpenTelemetry maximum request body size in bytes. If not set, PVE default is 10000000.
    OpentelemetryPath string
    OpenTelemetry endpoint path (e.g., /v1/metrics).
    OpentelemetryProto string
    Protocol for OpenTelemetry. Choice is between http | https. If not set, PVE default is https.
    OpentelemetryResourceAttributes string
    OpenTelemetry additional resource attributes as JSON, base64 encoded.
    OpentelemetryTimeout int
    OpenTelemetry HTTP request timeout in seconds. If not set, PVE default is 5.
    OpentelemetryVerifySsl bool
    OpenTelemetry verify SSL certificates. If not set, PVE default is true.
    Timeout int
    TCP socket timeout in seconds. If not set, PVE default is 1.
    Port int
    Server network port.
    Server string
    Server dns name or IP address.
    Type string
    Plugin type. Choice is between graphite | influxdb | opentelemetry.
    Disable bool
    Set this to true to disable this metric server.
    GraphitePath string
    Root graphite path (ex: proxmox.mycluster.mykey).
    GraphiteProto string
    Protocol to send graphite data. Choice is between udp | tcp. If not set, PVE default is udp.
    InfluxApiPathPrefix string
    An API path prefix inserted between <host>:<port>/ and /api2/. Can be useful if the InfluxDB service runs behind a reverse proxy.
    InfluxBucket string
    The InfluxDB bucket/db. Only necessary when using the http v2 api.
    InfluxDbProto string
    Protocol for InfluxDB. Choice is between udp | http | https. If not set, PVE default is udp.
    InfluxMaxBodySize int
    InfluxDB max-body-size in bytes. Requests are batched up to this size. If not set, PVE default is 25000000.
    InfluxOrganization string
    The InfluxDB organization. Only necessary when using the http v2 api. Has no meaning when using v2 compatibility api.
    InfluxToken string
    The InfluxDB access token. Only necessary when using the http v2 api. If the v2 compatibility api is used, use user:password instead.
    InfluxVerify bool
    Set to false to disable certificate verification for https endpoints.
    Mtu int
    MTU (maximum transmission unit) for metrics transmission over UDP. If not set, PVE default is 1500 (allowed 512 - 65536).
    Name string
    Unique name that will be ID of this metric server in PVE.
    OpentelemetryCompression string
    OpenTelemetry compression algorithm for requests. Choice is between none | gzip. If not set, PVE default is gzip.
    OpentelemetryHeaders string
    OpenTelemetry custom HTTP headers as JSON, base64 encoded.
    OpentelemetryMaxBodySize int
    OpenTelemetry maximum request body size in bytes. If not set, PVE default is 10000000.
    OpentelemetryPath string
    OpenTelemetry endpoint path (e.g., /v1/metrics).
    OpentelemetryProto string
    Protocol for OpenTelemetry. Choice is between http | https. If not set, PVE default is https.
    OpentelemetryResourceAttributes string
    OpenTelemetry additional resource attributes as JSON, base64 encoded.
    OpentelemetryTimeout int
    OpenTelemetry HTTP request timeout in seconds. If not set, PVE default is 5.
    OpentelemetryVerifySsl bool
    OpenTelemetry verify SSL certificates. If not set, PVE default is true.
    Timeout int
    TCP socket timeout in seconds. If not set, PVE default is 1.
    port Integer
    Server network port.
    server String
    Server dns name or IP address.
    type String
    Plugin type. Choice is between graphite | influxdb | opentelemetry.
    disable Boolean
    Set this to true to disable this metric server.
    graphitePath String
    Root graphite path (ex: proxmox.mycluster.mykey).
    graphiteProto String
    Protocol to send graphite data. Choice is between udp | tcp. If not set, PVE default is udp.
    influxApiPathPrefix String
    An API path prefix inserted between <host>:<port>/ and /api2/. Can be useful if the InfluxDB service runs behind a reverse proxy.
    influxBucket String
    The InfluxDB bucket/db. Only necessary when using the http v2 api.
    influxDbProto String
    Protocol for InfluxDB. Choice is between udp | http | https. If not set, PVE default is udp.
    influxMaxBodySize Integer
    InfluxDB max-body-size in bytes. Requests are batched up to this size. If not set, PVE default is 25000000.
    influxOrganization String
    The InfluxDB organization. Only necessary when using the http v2 api. Has no meaning when using v2 compatibility api.
    influxToken String
    The InfluxDB access token. Only necessary when using the http v2 api. If the v2 compatibility api is used, use user:password instead.
    influxVerify Boolean
    Set to false to disable certificate verification for https endpoints.
    mtu Integer
    MTU (maximum transmission unit) for metrics transmission over UDP. If not set, PVE default is 1500 (allowed 512 - 65536).
    name String
    Unique name that will be ID of this metric server in PVE.
    opentelemetryCompression String
    OpenTelemetry compression algorithm for requests. Choice is between none | gzip. If not set, PVE default is gzip.
    opentelemetryHeaders String
    OpenTelemetry custom HTTP headers as JSON, base64 encoded.
    opentelemetryMaxBodySize Integer
    OpenTelemetry maximum request body size in bytes. If not set, PVE default is 10000000.
    opentelemetryPath String
    OpenTelemetry endpoint path (e.g., /v1/metrics).
    opentelemetryProto String
    Protocol for OpenTelemetry. Choice is between http | https. If not set, PVE default is https.
    opentelemetryResourceAttributes String
    OpenTelemetry additional resource attributes as JSON, base64 encoded.
    opentelemetryTimeout Integer
    OpenTelemetry HTTP request timeout in seconds. If not set, PVE default is 5.
    opentelemetryVerifySsl Boolean
    OpenTelemetry verify SSL certificates. If not set, PVE default is true.
    timeout Integer
    TCP socket timeout in seconds. If not set, PVE default is 1.
    port number
    Server network port.
    server string
    Server dns name or IP address.
    type string
    Plugin type. Choice is between graphite | influxdb | opentelemetry.
    disable boolean
    Set this to true to disable this metric server.
    graphitePath string
    Root graphite path (ex: proxmox.mycluster.mykey).
    graphiteProto string
    Protocol to send graphite data. Choice is between udp | tcp. If not set, PVE default is udp.
    influxApiPathPrefix string
    An API path prefix inserted between <host>:<port>/ and /api2/. Can be useful if the InfluxDB service runs behind a reverse proxy.
    influxBucket string
    The InfluxDB bucket/db. Only necessary when using the http v2 api.
    influxDbProto string
    Protocol for InfluxDB. Choice is between udp | http | https. If not set, PVE default is udp.
    influxMaxBodySize number
    InfluxDB max-body-size in bytes. Requests are batched up to this size. If not set, PVE default is 25000000.
    influxOrganization string
    The InfluxDB organization. Only necessary when using the http v2 api. Has no meaning when using v2 compatibility api.
    influxToken string
    The InfluxDB access token. Only necessary when using the http v2 api. If the v2 compatibility api is used, use user:password instead.
    influxVerify boolean
    Set to false to disable certificate verification for https endpoints.
    mtu number
    MTU (maximum transmission unit) for metrics transmission over UDP. If not set, PVE default is 1500 (allowed 512 - 65536).
    name string
    Unique name that will be ID of this metric server in PVE.
    opentelemetryCompression string
    OpenTelemetry compression algorithm for requests. Choice is between none | gzip. If not set, PVE default is gzip.
    opentelemetryHeaders string
    OpenTelemetry custom HTTP headers as JSON, base64 encoded.
    opentelemetryMaxBodySize number
    OpenTelemetry maximum request body size in bytes. If not set, PVE default is 10000000.
    opentelemetryPath string
    OpenTelemetry endpoint path (e.g., /v1/metrics).
    opentelemetryProto string
    Protocol for OpenTelemetry. Choice is between http | https. If not set, PVE default is https.
    opentelemetryResourceAttributes string
    OpenTelemetry additional resource attributes as JSON, base64 encoded.
    opentelemetryTimeout number
    OpenTelemetry HTTP request timeout in seconds. If not set, PVE default is 5.
    opentelemetryVerifySsl boolean
    OpenTelemetry verify SSL certificates. If not set, PVE default is true.
    timeout number
    TCP socket timeout in seconds. If not set, PVE default is 1.
    port int
    Server network port.
    server str
    Server dns name or IP address.
    type str
    Plugin type. Choice is between graphite | influxdb | opentelemetry.
    disable bool
    Set this to true to disable this metric server.
    graphite_path str
    Root graphite path (ex: proxmox.mycluster.mykey).
    graphite_proto str
    Protocol to send graphite data. Choice is between udp | tcp. If not set, PVE default is udp.
    influx_api_path_prefix str
    An API path prefix inserted between <host>:<port>/ and /api2/. Can be useful if the InfluxDB service runs behind a reverse proxy.
    influx_bucket str
    The InfluxDB bucket/db. Only necessary when using the http v2 api.
    influx_db_proto str
    Protocol for InfluxDB. Choice is between udp | http | https. If not set, PVE default is udp.
    influx_max_body_size int
    InfluxDB max-body-size in bytes. Requests are batched up to this size. If not set, PVE default is 25000000.
    influx_organization str
    The InfluxDB organization. Only necessary when using the http v2 api. Has no meaning when using v2 compatibility api.
    influx_token str
    The InfluxDB access token. Only necessary when using the http v2 api. If the v2 compatibility api is used, use user:password instead.
    influx_verify bool
    Set to false to disable certificate verification for https endpoints.
    mtu int
    MTU (maximum transmission unit) for metrics transmission over UDP. If not set, PVE default is 1500 (allowed 512 - 65536).
    name str
    Unique name that will be ID of this metric server in PVE.
    opentelemetry_compression str
    OpenTelemetry compression algorithm for requests. Choice is between none | gzip. If not set, PVE default is gzip.
    opentelemetry_headers str
    OpenTelemetry custom HTTP headers as JSON, base64 encoded.
    opentelemetry_max_body_size int
    OpenTelemetry maximum request body size in bytes. If not set, PVE default is 10000000.
    opentelemetry_path str
    OpenTelemetry endpoint path (e.g., /v1/metrics).
    opentelemetry_proto str
    Protocol for OpenTelemetry. Choice is between http | https. If not set, PVE default is https.
    opentelemetry_resource_attributes str
    OpenTelemetry additional resource attributes as JSON, base64 encoded.
    opentelemetry_timeout int
    OpenTelemetry HTTP request timeout in seconds. If not set, PVE default is 5.
    opentelemetry_verify_ssl bool
    OpenTelemetry verify SSL certificates. If not set, PVE default is true.
    timeout int
    TCP socket timeout in seconds. If not set, PVE default is 1.
    port Number
    Server network port.
    server String
    Server dns name or IP address.
    type String
    Plugin type. Choice is between graphite | influxdb | opentelemetry.
    disable Boolean
    Set this to true to disable this metric server.
    graphitePath String
    Root graphite path (ex: proxmox.mycluster.mykey).
    graphiteProto String
    Protocol to send graphite data. Choice is between udp | tcp. If not set, PVE default is udp.
    influxApiPathPrefix String
    An API path prefix inserted between <host>:<port>/ and /api2/. Can be useful if the InfluxDB service runs behind a reverse proxy.
    influxBucket String
    The InfluxDB bucket/db. Only necessary when using the http v2 api.
    influxDbProto String
    Protocol for InfluxDB. Choice is between udp | http | https. If not set, PVE default is udp.
    influxMaxBodySize Number
    InfluxDB max-body-size in bytes. Requests are batched up to this size. If not set, PVE default is 25000000.
    influxOrganization String
    The InfluxDB organization. Only necessary when using the http v2 api. Has no meaning when using v2 compatibility api.
    influxToken String
    The InfluxDB access token. Only necessary when using the http v2 api. If the v2 compatibility api is used, use user:password instead.
    influxVerify Boolean
    Set to false to disable certificate verification for https endpoints.
    mtu Number
    MTU (maximum transmission unit) for metrics transmission over UDP. If not set, PVE default is 1500 (allowed 512 - 65536).
    name String
    Unique name that will be ID of this metric server in PVE.
    opentelemetryCompression String
    OpenTelemetry compression algorithm for requests. Choice is between none | gzip. If not set, PVE default is gzip.
    opentelemetryHeaders String
    OpenTelemetry custom HTTP headers as JSON, base64 encoded.
    opentelemetryMaxBodySize Number
    OpenTelemetry maximum request body size in bytes. If not set, PVE default is 10000000.
    opentelemetryPath String
    OpenTelemetry endpoint path (e.g., /v1/metrics).
    opentelemetryProto String
    Protocol for OpenTelemetry. Choice is between http | https. If not set, PVE default is https.
    opentelemetryResourceAttributes String
    OpenTelemetry additional resource attributes as JSON, base64 encoded.
    opentelemetryTimeout Number
    OpenTelemetry HTTP request timeout in seconds. If not set, PVE default is 5.
    opentelemetryVerifySsl Boolean
    OpenTelemetry verify SSL certificates. If not set, PVE default is true.
    timeout Number
    TCP socket timeout in seconds. If not set, PVE default is 1.

    Outputs

    All input properties are implicitly available as output properties. Additionally, the Server resource produces the following output properties:

    Id string
    The provider-assigned unique ID for this managed resource.
    Id string
    The provider-assigned unique ID for this managed resource.
    id String
    The provider-assigned unique ID for this managed resource.
    id string
    The provider-assigned unique ID for this managed resource.
    id str
    The provider-assigned unique ID for this managed resource.
    id String
    The provider-assigned unique ID for this managed resource.

    Look up Existing Server Resource

    Get an existing Server resource’s state with the given name, ID, and optional extra properties used to qualify the lookup.

    public static get(name: string, id: Input<ID>, state?: ServerState, opts?: CustomResourceOptions): Server
    @staticmethod
    def get(resource_name: str,
            id: str,
            opts: Optional[ResourceOptions] = None,
            disable: Optional[bool] = None,
            graphite_path: Optional[str] = None,
            graphite_proto: Optional[str] = None,
            influx_api_path_prefix: Optional[str] = None,
            influx_bucket: Optional[str] = None,
            influx_db_proto: Optional[str] = None,
            influx_max_body_size: Optional[int] = None,
            influx_organization: Optional[str] = None,
            influx_token: Optional[str] = None,
            influx_verify: Optional[bool] = None,
            mtu: Optional[int] = None,
            name: Optional[str] = None,
            opentelemetry_compression: Optional[str] = None,
            opentelemetry_headers: Optional[str] = None,
            opentelemetry_max_body_size: Optional[int] = None,
            opentelemetry_path: Optional[str] = None,
            opentelemetry_proto: Optional[str] = None,
            opentelemetry_resource_attributes: Optional[str] = None,
            opentelemetry_timeout: Optional[int] = None,
            opentelemetry_verify_ssl: Optional[bool] = None,
            port: Optional[int] = None,
            server: Optional[str] = None,
            timeout: Optional[int] = None,
            type: Optional[str] = None) -> Server
    func GetServer(ctx *Context, name string, id IDInput, state *ServerState, opts ...ResourceOption) (*Server, error)
    public static Server Get(string name, Input<string> id, ServerState? state, CustomResourceOptions? opts = null)
    public static Server get(String name, Output<String> id, ServerState state, CustomResourceOptions options)
    resources:  _:    type: proxmoxve:metrics:Server    get:      id: ${id}
    name
    The unique name of the resulting resource.
    id
    The unique provider ID of the resource to lookup.
    state
    Any extra arguments used during the lookup.
    opts
    A bag of options that control this resource's behavior.
    resource_name
    The unique name of the resulting resource.
    id
    The unique provider ID of the resource to lookup.
    name
    The unique name of the resulting resource.
    id
    The unique provider ID of the resource to lookup.
    state
    Any extra arguments used during the lookup.
    opts
    A bag of options that control this resource's behavior.
    name
    The unique name of the resulting resource.
    id
    The unique provider ID of the resource to lookup.
    state
    Any extra arguments used during the lookup.
    opts
    A bag of options that control this resource's behavior.
    name
    The unique name of the resulting resource.
    id
    The unique provider ID of the resource to lookup.
    state
    Any extra arguments used during the lookup.
    opts
    A bag of options that control this resource's behavior.
    The following state arguments are supported:
    Disable bool
    Set this to true to disable this metric server.
    GraphitePath string
    Root graphite path (ex: proxmox.mycluster.mykey).
    GraphiteProto string
    Protocol to send graphite data. Choice is between udp | tcp. If not set, PVE default is udp.
    InfluxApiPathPrefix string
    An API path prefix inserted between <host>:<port>/ and /api2/. Can be useful if the InfluxDB service runs behind a reverse proxy.
    InfluxBucket string
    The InfluxDB bucket/db. Only necessary when using the http v2 api.
    InfluxDbProto string
    Protocol for InfluxDB. Choice is between udp | http | https. If not set, PVE default is udp.
    InfluxMaxBodySize int
    InfluxDB max-body-size in bytes. Requests are batched up to this size. If not set, PVE default is 25000000.
    InfluxOrganization string
    The InfluxDB organization. Only necessary when using the http v2 api. Has no meaning when using v2 compatibility api.
    InfluxToken string
    The InfluxDB access token. Only necessary when using the http v2 api. If the v2 compatibility api is used, use user:password instead.
    InfluxVerify bool
    Set to false to disable certificate verification for https endpoints.
    Mtu int
    MTU (maximum transmission unit) for metrics transmission over UDP. If not set, PVE default is 1500 (allowed 512 - 65536).
    Name string
    Unique name that will be ID of this metric server in PVE.
    OpentelemetryCompression string
    OpenTelemetry compression algorithm for requests. Choice is between none | gzip. If not set, PVE default is gzip.
    OpentelemetryHeaders string
    OpenTelemetry custom HTTP headers as JSON, base64 encoded.
    OpentelemetryMaxBodySize int
    OpenTelemetry maximum request body size in bytes. If not set, PVE default is 10000000.
    OpentelemetryPath string
    OpenTelemetry endpoint path (e.g., /v1/metrics).
    OpentelemetryProto string
    Protocol for OpenTelemetry. Choice is between http | https. If not set, PVE default is https.
    OpentelemetryResourceAttributes string
    OpenTelemetry additional resource attributes as JSON, base64 encoded.
    OpentelemetryTimeout int
    OpenTelemetry HTTP request timeout in seconds. If not set, PVE default is 5.
    OpentelemetryVerifySsl bool
    OpenTelemetry verify SSL certificates. If not set, PVE default is true.
    Port int
    Server network port.
    Timeout int
    TCP socket timeout in seconds. If not set, PVE default is 1.
    Type string
    Plugin type. Choice is between graphite | influxdb | opentelemetry.
    serverAddress string
    Server dns name or IP address.
    Disable bool
    Set this to true to disable this metric server.
    GraphitePath string
    Root graphite path (ex: proxmox.mycluster.mykey).
    GraphiteProto string
    Protocol to send graphite data. Choice is between udp | tcp. If not set, PVE default is udp.
    InfluxApiPathPrefix string
    An API path prefix inserted between <host>:<port>/ and /api2/. Can be useful if the InfluxDB service runs behind a reverse proxy.
    InfluxBucket string
    The InfluxDB bucket/db. Only necessary when using the http v2 api.
    InfluxDbProto string
    Protocol for InfluxDB. Choice is between udp | http | https. If not set, PVE default is udp.
    InfluxMaxBodySize int
    InfluxDB max-body-size in bytes. Requests are batched up to this size. If not set, PVE default is 25000000.
    InfluxOrganization string
    The InfluxDB organization. Only necessary when using the http v2 api. Has no meaning when using v2 compatibility api.
    InfluxToken string
    The InfluxDB access token. Only necessary when using the http v2 api. If the v2 compatibility api is used, use user:password instead.
    InfluxVerify bool
    Set to false to disable certificate verification for https endpoints.
    Mtu int
    MTU (maximum transmission unit) for metrics transmission over UDP. If not set, PVE default is 1500 (allowed 512 - 65536).
    Name string
    Unique name that will be ID of this metric server in PVE.
    OpentelemetryCompression string
    OpenTelemetry compression algorithm for requests. Choice is between none | gzip. If not set, PVE default is gzip.
    OpentelemetryHeaders string
    OpenTelemetry custom HTTP headers as JSON, base64 encoded.
    OpentelemetryMaxBodySize int
    OpenTelemetry maximum request body size in bytes. If not set, PVE default is 10000000.
    OpentelemetryPath string
    OpenTelemetry endpoint path (e.g., /v1/metrics).
    OpentelemetryProto string
    Protocol for OpenTelemetry. Choice is between http | https. If not set, PVE default is https.
    OpentelemetryResourceAttributes string
    OpenTelemetry additional resource attributes as JSON, base64 encoded.
    OpentelemetryTimeout int
    OpenTelemetry HTTP request timeout in seconds. If not set, PVE default is 5.
    OpentelemetryVerifySsl bool
    OpenTelemetry verify SSL certificates. If not set, PVE default is true.
    Port int
    Server network port.
    Server string
    Server dns name or IP address.
    Timeout int
    TCP socket timeout in seconds. If not set, PVE default is 1.
    Type string
    Plugin type. Choice is between graphite | influxdb | opentelemetry.
    disable Boolean
    Set this to true to disable this metric server.
    graphitePath String
    Root graphite path (ex: proxmox.mycluster.mykey).
    graphiteProto String
    Protocol to send graphite data. Choice is between udp | tcp. If not set, PVE default is udp.
    influxApiPathPrefix String
    An API path prefix inserted between <host>:<port>/ and /api2/. Can be useful if the InfluxDB service runs behind a reverse proxy.
    influxBucket String
    The InfluxDB bucket/db. Only necessary when using the http v2 api.
    influxDbProto String
    Protocol for InfluxDB. Choice is between udp | http | https. If not set, PVE default is udp.
    influxMaxBodySize Integer
    InfluxDB max-body-size in bytes. Requests are batched up to this size. If not set, PVE default is 25000000.
    influxOrganization String
    The InfluxDB organization. Only necessary when using the http v2 api. Has no meaning when using v2 compatibility api.
    influxToken String
    The InfluxDB access token. Only necessary when using the http v2 api. If the v2 compatibility api is used, use user:password instead.
    influxVerify Boolean
    Set to false to disable certificate verification for https endpoints.
    mtu Integer
    MTU (maximum transmission unit) for metrics transmission over UDP. If not set, PVE default is 1500 (allowed 512 - 65536).
    name String
    Unique name that will be ID of this metric server in PVE.
    opentelemetryCompression String
    OpenTelemetry compression algorithm for requests. Choice is between none | gzip. If not set, PVE default is gzip.
    opentelemetryHeaders String
    OpenTelemetry custom HTTP headers as JSON, base64 encoded.
    opentelemetryMaxBodySize Integer
    OpenTelemetry maximum request body size in bytes. If not set, PVE default is 10000000.
    opentelemetryPath String
    OpenTelemetry endpoint path (e.g., /v1/metrics).
    opentelemetryProto String
    Protocol for OpenTelemetry. Choice is between http | https. If not set, PVE default is https.
    opentelemetryResourceAttributes String
    OpenTelemetry additional resource attributes as JSON, base64 encoded.
    opentelemetryTimeout Integer
    OpenTelemetry HTTP request timeout in seconds. If not set, PVE default is 5.
    opentelemetryVerifySsl Boolean
    OpenTelemetry verify SSL certificates. If not set, PVE default is true.
    port Integer
    Server network port.
    server String
    Server dns name or IP address.
    timeout Integer
    TCP socket timeout in seconds. If not set, PVE default is 1.
    type String
    Plugin type. Choice is between graphite | influxdb | opentelemetry.
    disable boolean
    Set this to true to disable this metric server.
    graphitePath string
    Root graphite path (ex: proxmox.mycluster.mykey).
    graphiteProto string
    Protocol to send graphite data. Choice is between udp | tcp. If not set, PVE default is udp.
    influxApiPathPrefix string
    An API path prefix inserted between <host>:<port>/ and /api2/. Can be useful if the InfluxDB service runs behind a reverse proxy.
    influxBucket string
    The InfluxDB bucket/db. Only necessary when using the http v2 api.
    influxDbProto string
    Protocol for InfluxDB. Choice is between udp | http | https. If not set, PVE default is udp.
    influxMaxBodySize number
    InfluxDB max-body-size in bytes. Requests are batched up to this size. If not set, PVE default is 25000000.
    influxOrganization string
    The InfluxDB organization. Only necessary when using the http v2 api. Has no meaning when using v2 compatibility api.
    influxToken string
    The InfluxDB access token. Only necessary when using the http v2 api. If the v2 compatibility api is used, use user:password instead.
    influxVerify boolean
    Set to false to disable certificate verification for https endpoints.
    mtu number
    MTU (maximum transmission unit) for metrics transmission over UDP. If not set, PVE default is 1500 (allowed 512 - 65536).
    name string
    Unique name that will be ID of this metric server in PVE.
    opentelemetryCompression string
    OpenTelemetry compression algorithm for requests. Choice is between none | gzip. If not set, PVE default is gzip.
    opentelemetryHeaders string
    OpenTelemetry custom HTTP headers as JSON, base64 encoded.
    opentelemetryMaxBodySize number
    OpenTelemetry maximum request body size in bytes. If not set, PVE default is 10000000.
    opentelemetryPath string
    OpenTelemetry endpoint path (e.g., /v1/metrics).
    opentelemetryProto string
    Protocol for OpenTelemetry. Choice is between http | https. If not set, PVE default is https.
    opentelemetryResourceAttributes string
    OpenTelemetry additional resource attributes as JSON, base64 encoded.
    opentelemetryTimeout number
    OpenTelemetry HTTP request timeout in seconds. If not set, PVE default is 5.
    opentelemetryVerifySsl boolean
    OpenTelemetry verify SSL certificates. If not set, PVE default is true.
    port number
    Server network port.
    server string
    Server dns name or IP address.
    timeout number
    TCP socket timeout in seconds. If not set, PVE default is 1.
    type string
    Plugin type. Choice is between graphite | influxdb | opentelemetry.
    disable bool
    Set this to true to disable this metric server.
    graphite_path str
    Root graphite path (ex: proxmox.mycluster.mykey).
    graphite_proto str
    Protocol to send graphite data. Choice is between udp | tcp. If not set, PVE default is udp.
    influx_api_path_prefix str
    An API path prefix inserted between <host>:<port>/ and /api2/. Can be useful if the InfluxDB service runs behind a reverse proxy.
    influx_bucket str
    The InfluxDB bucket/db. Only necessary when using the http v2 api.
    influx_db_proto str
    Protocol for InfluxDB. Choice is between udp | http | https. If not set, PVE default is udp.
    influx_max_body_size int
    InfluxDB max-body-size in bytes. Requests are batched up to this size. If not set, PVE default is 25000000.
    influx_organization str
    The InfluxDB organization. Only necessary when using the http v2 api. Has no meaning when using v2 compatibility api.
    influx_token str
    The InfluxDB access token. Only necessary when using the http v2 api. If the v2 compatibility api is used, use user:password instead.
    influx_verify bool
    Set to false to disable certificate verification for https endpoints.
    mtu int
    MTU (maximum transmission unit) for metrics transmission over UDP. If not set, PVE default is 1500 (allowed 512 - 65536).
    name str
    Unique name that will be ID of this metric server in PVE.
    opentelemetry_compression str
    OpenTelemetry compression algorithm for requests. Choice is between none | gzip. If not set, PVE default is gzip.
    opentelemetry_headers str
    OpenTelemetry custom HTTP headers as JSON, base64 encoded.
    opentelemetry_max_body_size int
    OpenTelemetry maximum request body size in bytes. If not set, PVE default is 10000000.
    opentelemetry_path str
    OpenTelemetry endpoint path (e.g., /v1/metrics).
    opentelemetry_proto str
    Protocol for OpenTelemetry. Choice is between http | https. If not set, PVE default is https.
    opentelemetry_resource_attributes str
    OpenTelemetry additional resource attributes as JSON, base64 encoded.
    opentelemetry_timeout int
    OpenTelemetry HTTP request timeout in seconds. If not set, PVE default is 5.
    opentelemetry_verify_ssl bool
    OpenTelemetry verify SSL certificates. If not set, PVE default is true.
    port int
    Server network port.
    server str
    Server dns name or IP address.
    timeout int
    TCP socket timeout in seconds. If not set, PVE default is 1.
    type str
    Plugin type. Choice is between graphite | influxdb | opentelemetry.
    disable Boolean
    Set this to true to disable this metric server.
    graphitePath String
    Root graphite path (ex: proxmox.mycluster.mykey).
    graphiteProto String
    Protocol to send graphite data. Choice is between udp | tcp. If not set, PVE default is udp.
    influxApiPathPrefix String
    An API path prefix inserted between <host>:<port>/ and /api2/. Can be useful if the InfluxDB service runs behind a reverse proxy.
    influxBucket String
    The InfluxDB bucket/db. Only necessary when using the http v2 api.
    influxDbProto String
    Protocol for InfluxDB. Choice is between udp | http | https. If not set, PVE default is udp.
    influxMaxBodySize Number
    InfluxDB max-body-size in bytes. Requests are batched up to this size. If not set, PVE default is 25000000.
    influxOrganization String
    The InfluxDB organization. Only necessary when using the http v2 api. Has no meaning when using v2 compatibility api.
    influxToken String
    The InfluxDB access token. Only necessary when using the http v2 api. If the v2 compatibility api is used, use user:password instead.
    influxVerify Boolean
    Set to false to disable certificate verification for https endpoints.
    mtu Number
    MTU (maximum transmission unit) for metrics transmission over UDP. If not set, PVE default is 1500 (allowed 512 - 65536).
    name String
    Unique name that will be ID of this metric server in PVE.
    opentelemetryCompression String
    OpenTelemetry compression algorithm for requests. Choice is between none | gzip. If not set, PVE default is gzip.
    opentelemetryHeaders String
    OpenTelemetry custom HTTP headers as JSON, base64 encoded.
    opentelemetryMaxBodySize Number
    OpenTelemetry maximum request body size in bytes. If not set, PVE default is 10000000.
    opentelemetryPath String
    OpenTelemetry endpoint path (e.g., /v1/metrics).
    opentelemetryProto String
    Protocol for OpenTelemetry. Choice is between http | https. If not set, PVE default is https.
    opentelemetryResourceAttributes String
    OpenTelemetry additional resource attributes as JSON, base64 encoded.
    opentelemetryTimeout Number
    OpenTelemetry HTTP request timeout in seconds. If not set, PVE default is 5.
    opentelemetryVerifySsl Boolean
    OpenTelemetry verify SSL certificates. If not set, PVE default is true.
    port Number
    Server network port.
    server String
    Server dns name or IP address.
    timeout Number
    TCP socket timeout in seconds. If not set, PVE default is 1.
    type String
    Plugin type. Choice is between graphite | influxdb | opentelemetry.

    Package Details

    Repository
    proxmoxve muhlba91/pulumi-proxmoxve
    License
    Apache-2.0
    Notes
    This Pulumi package is based on the proxmox Terraform Provider.
    proxmoxve logo
    Viewing docs for Proxmox Virtual Environment (Proxmox VE) v8.0.0
    published on Sunday, Apr 5, 2026 by Daniel Muehlbachler-Pietrzykowski
      Try Pulumi Cloud free. Your team will thank you.